#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#pragma GCC optimization("unroll-loops")
using namespace std;
using namespace __gnu_pbds;
typedef long long ll;
typedef long double ld;

struct sht{
    int m;
    int s;
    vector<int> positions;
    sht(){}
    ~sht(){}
};

vector<sht> all;
int n;

bool check(vector<int>& ord){
    int summlens = 0;
    vector<int> allposes;
    for(int i=0;i<n;++i){
        for(int j=0;j<all[ord[i]].m; ++j){
            allposes.push_back(all[ord[i]].positions[j] + summlens);
        }
        summlens += all[ord[i]].s;
    }
    if((int)allposes.size() < 3) return 1;
    for(int i=1;i<(int)allposes.size()-1;++i){
        if(allposes[i] - allposes[i-1] != allposes[i+1] - allposes[i]) return 0;
    }
    return 1;
}

pair<string, vector<int>> slow_sol(){
    vector<int> order(n);
    for(int i=0;i<n;++i){
        order[i] = i;
    }
    do{
        if(check(order)){
            return {"Yes", order};
        }
    }while(next_permutation(order.begin(),order.end()));
    return {"No", order};
}

int solve(){
    cin>>n;
    all.resize(n);
    for(int i=0;i<n;++i){
        cin>>all[i].m>>all[i].s;
        all[i].positions.resize(all[i].m);
        for(auto&v:all[i].positions) cin>>v;
    }
    auto kek = slow_sol();
    if(kek.first == "No") return cout<<"No",0;
    else{
        cout<<"Yes\n";
        for(int v:kek.second) cout<<v+1<<' ';
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int tests = 1;
    //cin>>tests;
    while(tests--){
        solve();
    }
    return 0;
}