#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#pragma GCC target("avx2,fma")
#pragma GCC optimization("unroll-loops")
#pragma GCC optimization("O3")
using namespace std;
using namespace __gnu_pbds;

typedef long long ll;
int n,m,c;

void OUT(vector<vector<int>> & kek){
    //cout<<"---------------------------------\n";
    //cout<<"FOUND\n";
    for(int i=0;i<n;++i){
        for(int j=0;j<m;++j){
            cout<<kek[i][j]<<' ';
        }
        cout<<'\n';
    }
    //cout<<"---------------------------------\n";
}

bool check(vector<vector<int>> & kek){
    vector<bool> lol(c,false);
    for(int i=0;i<n;++i){
        for(int j=0;j<m;++j){
            lol[kek[i][j]-1] = 1;
            for(int ii=i+1;ii<n;++ii){
                for(int jj=j+1;jj<m;++jj){
                    if(ii == i || jj == j) continue;
                    if(kek[i][j] == kek[i][jj] && kek[i][jj] == kek[ii][jj] && kek[ii][jj] == kek[ii][j]) return false;
                }
            }
        }
    }
    bool ans = true;
    for(int i=0;i<c;++i) ans = (ans && lol[i]);
    return ans;
}
unordered_map<ll, bool> was;
const ll MOD = 1e9 + 7;
const ll MULT1 = 53, MULT2 = 37;
vector<ll> mult1, mult2;
void init(){
    mult1.resize(11);
    mult2.resize(11);
    mult1[0] = MULT1;
    mult2[0] = MULT2;
    for(int i=1;i<11;++i){
        mult1[i] = mult1[i-1] * MULT1;
        mult2[i] = mult2[i-1] * MULT2;
    }
}
vector<int> order;
bool dfs(vector<vector<int>> kek, ll hash){
    int cnt=0;
    for(int i=0;i<n;++i){
        for(int j=0;j<m;++j){
            if(kek[i][j] == 0){
                auto oru = order;
                int lim = rand()%5;
                for(int p=0;p<lim;++p) random_shuffle(oru.begin(),oru.end());
                for(int k=0;k<c;++k){
                    ll newhash = hash;
                    kek[i][j] = oru[k];
                    newhash -= (i*119 + j*87)*mult2[j];
                    newhash += (i*119 + j*87 + oru[k]*5)*mult2[j];
                    if(was[newhash] == 0) {
                        if(dfs(kek, newhash)) return 1;
                        was[newhash] = 1;
                    }else continue;
                }
                ++cnt;
                kek[i][j] = 0;
            }
        }
    }
    if(cnt == 0){
        if(check(kek))  return OUT(kek),1;
    }
    return 0;
}

int solve(){
    cin>>n>>m>>c;
    order.resize(c);
    was.rehash(1e7);
    for(int i=0;i<c;++i) order[i] = i+1;
    vector<vector<int>> start(n, vector<int>(m,0));
    ll starthash = 0;
    init();
    for(ll i=1;i<=n;++i){
        for(ll j=1;j<=m;++j) starthash += (i*119 + j*87)*mult2[j];
    }
    dfs(start, starthash);
    return 0;
}

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int tests = 1;
    //cin>>tests;
    while(tests--){
        solve();
    }
    return 0;
}