#include <bits/stdc++.h>
#pragma GCC target("avx2,fma")
#pragma GCC optimization("unroll-loops")
#pragma GCC optimization("O3")
using namespace std;
typedef long long ll;

int answer = 0;
int lastcol = 0;
string a,b,c;
vector<bool> used_cols;
void dfs(int col, int prev_ost){
    if(col == lastcol){
        answer += (prev_ost == 0);
        return;
    }
    for(int i=0;i<lastcol;++i){
        if(used_cols[i] == 0){
            if(((a[i]-'0') + (b[i]-'0') + prev_ost) % 10 == c[i]-'0'){
                used_cols[i] = 1;
                dfs(col+1, ((a[i]-'0') + (b[i]-'0') + prev_ost) >= 10);
                used_cols[i] = 0;
            }
        }
    }
}
map<char,int> cnt[3];
bool check(int i){
    if(a[i] == '0'){
        if(cnt[0].size() > 1) return false;
    }
    if(b[i] == '0'){
        if(cnt[1].size() > 1) return false;
    }
    if(c[i] == '0'){
        if(cnt[2].size() > 1) return false;
    }
    return true;
}

int solve(){
    cin>>a>>b>>c;
    for(int i=0;i<a.length();++i){
        ++cnt[0][a[i]];
        ++cnt[1][b[i]];
        ++cnt[2][c[i]];
    }
    lastcol = a.length();
    used_cols.resize(a.length(),0);
    for(int i=0;i<a.length();++i){
        if(((a[i]-'0') + (b[i]-'0')) % 10 == c[i]-'0' && check(i)){
            used_cols[i] = 1;
            dfs(1, ((a[i]-'0') + (b[i]-'0')) >= 10 );
            used_cols[i] = 0;
        }
    }
    cout<<answer;
    return 0;
}

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int tests = 1;
    //cin>>tests;
    while(tests--){
        solve();
    }
    return 0;
}