#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
using namespace std;
using namespace __gnu_pbds;
typedef long long ll;
typedef long double ld;

ll sum(ll a){
    return a*(a+1LL)/2LL;
}

ll check_diff_line(ll border, ll cut){
    ll cuts = sum(cut-1LL);
    return abs(cuts - (sum(border) - cuts));
}

pair<ll,ll> tupo_line(ll border){
    ll left = 1LL, right = border;
    while(right - left > 2LL){
        ll m1 = (right-left)/3LL + left;
        ll m2 = right - (right-left)/3LL;
        if( check_diff_line(border, m1) < check_diff_line(border, m2)){
            right = m2;
        }else{
            left = m1;
        }
    }
    pair<ll,ll> ans = {check_diff_line(border, left), left};
    for(ll i=left+1LL; i <= right; ++i){
        ll now = check_diff_line(border, i);
        if(now < ans.first){
            ans.first = now;
            ans.second = i;
        }
    }
    return ans;
}

ll MULTTHEM = 0;
ll SUMALL = 0;

ll check_horiz(ll n, ll m, ll cut){
    ll part_sum = sum((cut-1LL) * m);
    return abs( part_sum - (SUMALL - part_sum));
}
pair<ll,ll> solve_Horizontal(ll n, ll m){
    ll left = 1LL , right = n;
    while(right - left > 2LL){
        ll part_tmp = (right-left)/3LL;
        ll m1 = left + part_tmp;
        ll m2 = right - part_tmp;
        if( check_horiz(n,m,m1) < check_horiz(n,m,m2)){
            right = m2;
        }else{
            left = m1;
        }
    }
    pair<ll,ll> ans = {check_horiz(n,m,left), left};
    for(ll i=left+1LL; i <= right; ++i){
        ll now = check_horiz(n,m,i);
        if(now < ans.first){
            ans.first = now;
            ans.second = i;
        }
    }
    return ans;
};
ll check_vertical(ll n, ll m, ll cut){
    ll part_sum = sum(cut-1LL)*n + sum(n-1LL)*m*(cut-1LL);
    return abs( part_sum - (SUMALL-part_sum));
}
pair<ll,ll> solve_Vertical(ll n, ll m){
    ll left = 1LL , right = m;
    while(right - left > 2LL){
        ll part_tmp = (right-left)/3LL;
        ll m1 = left + part_tmp;
        ll m2 = right - part_tmp;
        if( check_vertical(n,m,m1) < check_vertical(n,m,m2)){
            right = m2;
        }else{
            left = m1;
        }
    }
    pair<ll,ll> ans = {check_vertical(n,m,left), left};
    for(ll i=left+1LL; i <= right; ++i){
        ll now = check_vertical(n,m,i);
        if(now < ans.first){
            ans.first = now;
            ans.second = i;
        }
    }
    return ans;
};

int solve(){
    ll n,m;
    cin>>n>>m;
    MULTTHEM = n*m;
    SUMALL = sum(MULTTHEM);
    /*
    for(int i=1;i<=m;++i){
        cout<<i<<' '<<check_vertical(n,m,i)<<'\n';
    }
    for(int i=1;i<=n;++i){
        cout<<i<<' '<<check_horiz(n,m,i)<<'\n';
    }
    return 0;
    */
    if(n == 1LL && m == 1LL) return cout<<"V 1\n",0;
    if(n == 1LL || m == 1LL){
        auto kek = tupo_line(max(n,m));
        if(n != 1){
            return cout<<"H "<<kek.second<<'\n',0;
        }else{
            return cout<<"V "<<kek.second<<'\n',0;
        }
    }
    // else table
    auto kek1 = solve_Horizontal(n, m);
    auto kek2 = solve_Vertical(n, m);
    //cout<<kek1.first<<' '<<kek1.second<<'\n';
    //cout<<kek2.first<<' '<<kek2.second<<'\n';
    if(kek1.first < kek2.first){
        return cout<<"H "<<kek1.second<<'\n',0;
    }else{
        return cout<<"V "<<kek2.second<<'\n',0;
    }
    return 0;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int tests = 1;
    cin>>tests;
    while(tests--){
        solve();
    }
    return 0;
}